
<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss('N')"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="container-fluid">
    <div class="form-row">
      <div class="form-group col-6">
        <h4 class="font-weight-bold mr-4">[ {{ tPedidoActual.Codpedido }} ] - {{ tPedidoActual.Tipo }}<span class="badge badge-info ml-4">{{ tPedidoActual.Estatus }}</span></h4>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-6">
        <label class="form-label h6">Cliente</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">[ {{ tPedidoActual.Codcliente }} ] - {{ tPedidoActual.Descripcion_cliente }}  </label>
        </div>
      </div>
      <div class="form-group col-6">
        <label class="form-label h6">Documento</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-passport"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">[ {{ tPedidoActual.Tipo_documento }} ] - {{ tPedidoActual.Documento }}  </label>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-4">
        <label class="form-label h6">Telefono</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-phone"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">{{ tPedidoActual.Telefono }}</label>
          <div class="input-group-append"><a class="input-group-text bg-Whatsapp" href="https://wa.me/{{tPedidoActual.Telefono}}" target="_blank"><i class="fab fa-whatsapp"></i></a></div>
        </div>
      </div>
      <div class="form-group col-4">
        <label class="form-label h6">Email</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-at"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">{{ tPedidoActual.Email }}</label>
        </div>
      </div>
      <div class="form-group col-4">
        <label class="form-label h6">Cumpleaños</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-birthday-cake"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">{{ tPedidoActual.Fecha_nacimiento | date: 'dd/MM/yyyy' }}</label>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <ul class="nav nav-tabs" role="tablist" id="divOpciones">
          <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Articulos" role="tab" aria-controls="Articulos" aria-selected="true" id="Articulos-tab">Articulos</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Cupones" role="tab" aria-controls="Cupones" aria-selected="true" id="Cupones-tab">Cupones</a></li>
        </ul>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="tab-content" id="mvDatos">
          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Articulos-tab" id="Articulos">
            <div class="form-row">
              <div class="form-group col-12">
                <div class="table-responsive">
                  <table class="table table-sm table-striped table-hover">
                    <thead>
                      <tr>
                        <th></th>
                        <th>
                          <h6 class="font-weight-bold">Articulo</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Descripcion</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Color</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Talla</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Cantidad</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Precio</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Total</h6>
                        </th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let tArticulo of tPedidoActual.LArticulos | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index">
                        <th><img class="img thumbnail rounded Item-Imagen" [src]="tArticulo.Url" alt=""/></th>
                        <td>
                          <h6>{{ tArticulo.Codarticulo }}</h6>
                        </td>
                        <td>
                          <h6 class="text-nowrap">{{ tArticulo.Descripcion }}</h6>
                        </td>
                        <td>
                          <h6 class="text-nowrap">[ {{ tArticulo.Codcolor }} ] {{ tArticulo.Desc_color }}</h6>
                        </td>
                        <td>
                          <h6>{{ tArticulo.Talla }}</h6>
                        </td>
                        <td>
                          <h6>{{ tArticulo.Cantidad | number:'1.0-0' }}</h6>
                        </td>
                        <td>
                          <h6>{{ tArticulo.Precio | number:'1.2-5' | currency : tEmpresaActual.Simbolo }}</h6>
                        </td>
                        <td>
                          <h6>{{ tArticulo.Total | number:'1.2-5' | currency : tEmpresaActual.Simbolo }}</h6>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tPedidoActual.LArticulos.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag"></ngb-pagination>
              </div>
            </div>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="Cupones-tab" id="Cupones"></div>
        </div>
      </div>
    </div>
    <div class="form-row d-flex justify-content-end">
      <div class="form-group col-12 col-lg-3">
        <div class="card border-left-primary shadow-sm h-100">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="font-weight-bold text-primary mb-1">Cantidad</div>
                <div class="h6 mb-0 text-gray-800">{{ tPedidoActual.Total_cantidad | number:'1.0-0' }}</div>
              </div>
              <div class="col-auto">
                <div class="fas fa-calculator fa-2x text-gray-300"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-3">
        <div class="card border-left-danger shadow-sm h-100">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="font-weight-bold text-danger mb-1">Descuento</div>
                <div class="h6 mb-0 text-gray-800">{{ tPedidoActual.Total_descuento | number:'1.2-5' | currency : tEmpresaActual.Simbolo }}</div>
              </div>
              <div class="col-auto">
                <div class="fas fa-percent fa-2x text-gray-300"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-3">
        <div class="card border-left-success shadow-sm h-100">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="font-weight-bold text-success mb-1">Total</div>
                <div class="h6 mb-0 text-gray-800">{{ tPedidoActual.Total | number:'1.2-5' | currency : tEmpresaActual.Simbolo }}</div>
              </div>
              <div class="col-auto">
                <div class="fas fa-coins fa-2x text-gray-300">           </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-secondary mr-2 ml-2" type="button" (click)="activeModal.close('N')">Cerrar </button>
</div>